@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500;600&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Montserrat', sans-serif;

    text-decoration: none;
    list-style: none;
}


body::before {
    content: "";
    background-image: url(../img/fondo.jpg);
    background-size: cover;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    filter: blur(1px);
    /* Ajusta el valor para controlar la cantidad de desenfoque */
    z-index: -1;
}

header {
    background:#D32728;
    background-position: center bottom;
    background-repeat: no-repeat;
    background-size: cover;
    min-height: 70vh;
    display: flex;
    align-items: center;

    box-shadow: rgba(0, 0, 0, .9);
    
}

.aos-init {
    opacity: 0;
    transform: translateY(-40px);
    transition: opacity 0.5s ease-in-out, transform 0.5s ease-in-out;
  }
  
  .aos-animate {
    opacity: 1;
    transform: translateY(0);
  }

.container {
    max-width: 1200px;
    margin: 0 auto;
    
}

/*---------------------------------------
  whatsapp         
-----------------------------------------*/
.whatsapp-float {
    position: fixed;
    right: 20px;
    bottom: 20px;
    width: 60px;
    height: 60px;
    background-color: #25D366;
    color: #fff;
    border-radius: 50%;
    text-align: center;
    font-size: 30px;
    line-height: 60px;
    z-index: 999;
}


.menu {
    position: absolute;
    top: 10px;
    left: 0;
    right: 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    z-index: 1000;

}

.image-container {
    position: relative;
    overflow: hidden;
    width: 220px;
    height: 80px;
    transition: transform 0.3s;
}

.image-container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    cursor: pointer;
}

.image-container:hover {
    transform: scale(1.1);
    /* Cambia la escala al 110% en hover */
}

.menu .logo {
    height: 2rem;
}

.menu .navbar ul li {
    position: relative;
    float: left;
    padding-right: 25px;
}

.menu .navbar ul li a {
    font-size: 18px;
    padding: 20px;
    color: white;
    display: block;
}

.menu .navbar ul li a:hover {
    color: #1c1c1c;
}

#menu {
    display: none;
}

.menu-icono {
    width: 25px;
}

.menu label {
    cursor: pointer;
    display: none;
}

.header-conent {
    display: flex;
}

.content {
    padding: 100px 100px 0px 0px;
}

.content h1 {
    color: #ffffff;
    font-size: 45px;

    font-weight: 600;
    line-height: 55px;
}

.content p {

    color: antiquewhite;

    font-size: 20px;
    line-height: 40px;

}


.btn-1 {
    display: inline-block;
    background-color: rgba(170, 177, 255, 0.3);
    border: 1px solid #5E5F5E;
    margin: 35px 10px 0px 0px;
    padding: 15px 25px;
    color: #ffffff;
    border-radius: 25px;
}

.btn-1:hover {
    background-color: #5E5F5E;
}

/*----------------------------------------
SERVICIOS
----------------------------------------*/
.service {
    transition: transform 0.3s ease;
}

/* Definir la transformación inicial para que el elemento no se mueva */
.service:hover {
    transform: none;
}

/* Estilo de "flip-left" al pasar el mouse sobre el elemento */
.service[data-aos="flip-left"]:hover {
    transform: scale(0.95) rotateY(-10deg);
}




/* Estilo de "flip-right" al pasar el mouse sobre el elemento */
.service[data-aos="flip-right"]:hover {
    transform: scale(0.95) rotateY(10deg);
}


.services {
    display: flex;
    /* Usa flexbox para alinear los divs horizontalmente */
    justify-content: center;
    /* Centra los divs horizontalmente */
    gap: 30px;
    /* Agrega una separación de 20px entre los divs */
    padding-top: 100px;
}

.service {
    /* Hace que los divs ocupen el mismo espacio en el contenedor */
    text-align: center;
    /* Centra el contenido de cada div horizontalmente */
    padding: 20px;
    padding-right: 30px;
    padding-bottom: 35px;
    /* Agrega espacio interno para que el contenido no esté pegado al borde */
    background: 
        url(../img/fondonegro.png);
    border: 1px solid #ccc;
    /* Opcional: Agrega un borde alrededor de cada div */
    margin: 0;
    border-radius: 20px;
    box-shadow: 0px 0px 20px rgba(135, 141, 214, 0.3);
}


.service p {
    /* Alinea el texto a la izquierda */
    text-align: left;
    /* Agrega margen izquierdo para separar el texto de la imagen */
    margin-left: 20px;
    /* Ajusta el valor según desees */
}


.services img {
    margin-top: -50px;
    height: 100px;
    width: 100px;
}

.service h3 {
    font-size: 20px;
    color: #ffffff;
    margin-bottom: 10px;
}

.service p {
    color: #ffffff;
    font-size: 16px;

}

/*----------------------------------------
PRODUCTOS
----------------------------------------*/

.porfolios {
    padding: 80px 0px;
    text-align: center;
    color: #0e0e0e;
}

.porfolios h2 {
    font-size: 55px;
}

.porfolio {
    display: flex;
    align-items: center;
}

.porfolio img {
    width: 350px;
}

.porfolio-1 {
    text-align: left;
    margin-left: 100px;
}

.porfolio-1 h3 {
    font-size: 35px;
    margin-bottom: 15px;

}

.porfolio-1 p {
    font-size: 18px;
    color: #5E5F5E;
    margin-bottom: 25px;
    order: 2;

}

.porfolio-2 {

    text-align: left;
    margin-right: 300px;
    margin-left: 70px;
}

.barracuadrada{
        margin-left: 50px;
    }

.porfolio-2 h3 {
    font-size: 35px;
    margin-bottom: 15px;

}

.porfolio-2 p {
    font-size: 18px;
    color: #5E5F5E;
    margin-bottom: 25px;

}



.btn-2 {
    display: inline-block;
    padding: 15px 25px;
    border-radius: 25px;
    background-color: #5E5F5E;
    color: #ffffff;
}

.btn-2:hover {
    background-color: #1c1c1c;
}

/*----------------------------------------
Tabla DESKTOP
----------------------------------------*/
.tabla{
    padding-bottom: 30px ;
    font-size: 12px;
    
}
.tabla-desktop{
    width: 100%;
    border-collapse: collapse;
}

.tabla-desktop tr th{
    background-color: #5e5e5e;
    color: white;
    border: 1px solid #909090;
    padding: 5px;
    text-align: left;
}

.tabla-desktop tr td{
    background-color:#D32728;
    border: 1px solid #909090;
    padding: 5px;
}


/*----------------------------------------
Tabla MOBILE
----------------------------------------*/
.tabla2.container{
    
    padding-bottom: 60px ;
    font-size: 12px;
    display: flex;
    justify-content: center;
    align-items: center;
    
   
    
}

.tabla-mobile{
    display: none;
    width: 100%;
    margin-left: 55px;
    
}

.tabla-mobile .fila .columna{
    display: flex;
    
}

.tabla-mobile .fila .columna .header, 
.tabla-mobile .fila .columna .contenido{
    border: 1px solid #909090;
    border-radius: none;
    padding: 10px;
     }

.tabla-mobile .fila .columna .header{
    width: 40%;
    background-color:#5e5e5e ;
    color: white;
    
}   

.tabla-mobile .fila .columna .contenido{
    background-color: #D32728;
    width: 40%;
}





@media screen and (max-width: 1100px) {
    .tabla-mobile{
        display: block;
    }

    .tabla-desktop{
        display: none;
    }
}



/*----------------------------------------
Contacto
----------------------------------------*/

.contact {
    display: flex;
    margin-bottom: 30px;

    justify-content: center;
}

.form-container {
    text-align: center;
    display: flex;
    justify-content: center;

    background: #5e5e5e;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;

    border-radius: 15px;
    box-shadow: 0px 0px 25px rgba(0, 0, 0, 0.3);

}

.form-container h2 {
    display: flex;
    text-align: center;
    justify-content: center;
    font-size: 40px;
    color: #000000;
    margin-bottom: 10px;
}

.form-container p {
    font-size: 18px;
    color: #949fbd;
    margin-bottom: 50px;
}

form {
    padding: 35px;

    border-radius: 15px;



   
    display: flex;
    flex-direction: column;

}


.form-group {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 40px;
    margin-bottom: 40px;
}


.form-content {
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-content: center;
}

label {
    color: #f5fcff;
    font-size: 15px;
    margin-bottom: 15px;
}

input,
textarea {
    padding: 10px 5px;
    background-color: #ffffff;
    border: 0;
    outline: none;
    border-radius: 25px;
    color: #000000;
    font-size: 14px;
}


::placeholder {
    color: #949fbd;
    font-size: 16px;
}

textarea {
    margin-bottom: 40px;
}


.btn2 {
    margin-top: 30px;
    padding: 10px 4px;
    width: 200px;
    align-self: center;
    text-transform: capitalize;
    color: #f5fcff;
    font-size: 16px;
    background-color: #D32728;
    border: 1px solid #5E5F5E;

    cursor: pointer;

}

.btn2:hover {
    background: #000000;
}


.success {
    position: absolute;
    top: 50px;
    color: #25D366;
    font-size: 18px;
}

.error {
    position: absolute;
    top: 50px;
    color: red;
    font-size: 18px;
}

/*termina contacto*/


footer {
    padding: 50px 0px 0px 0px;
    background:#D32728;
    background-position: top center;
    background-repeat: no-repeat;
    background-size: cover;
}

.info-content {
    display: flex;
}


.info-price {
    padding: 35px;
    border-radius: 15px;
    text-align: center;
    background-color: #f5f5f5;
    box-shadow: 0px 0px 25px rgba(0, 0, 0, 0.3);
    margin: 0px 150px 0px 0px;
    color: #0e0e0e;
}

.info-txt {
    margin-left: 35px;
    color: #ffffff;
    display: flex;
    align-items: center;

}

hr {
    margin: 45px 0px;
    border: 0.2px solid #f5f5f5;
}

.enlaces {
    display: flex;
    justify-content: space-between;
    color: #ffffff;
    text-align: center;
    align-items: center;
    height: 100px; /* Ajusta la altura deseada */
}
.enlace-con-efecto  {
    transition: transform 0.3s;
    margin-top: 20px;
}
.enlace-con-efecto:hover {
     transform: scale(1.1);
}


.enlace h3 {
    font-size: 25px;
}

.enlace {
    display: flex;

}

.enlace li a {
    display: block;
    margin: 20px;
    color: #ffffff;
}

.enlace li a:hover {
    color: #5E5F5E;
}


/*----------------------------------------
Mecanizado
----------------------------------------*/
.menciones{
    padding: 0px 50px;
}
.container2 {
    display: grid; /* Utilizamos CSS Grid para crear dos columnas */
    grid-template-columns: 1fr 1fr; /* Dos columnas de igual ancho */
    gap: 20px; /* Espacio entre las columnas */
}

.column {
    padding: 20px;
     /* Agrega un borde para separar las columnas */
    box-sizing: border-box; /* Incluye el borde en el ancho y alto */
}


.grid-container {
    display: grid;
    grid-template-columns: repeat(4, 1fr); /* 4 columnas */
    gap: 10px; /* Espacio entre las imágenes */
    padding-top: 20px;
}

.grid-item {
    position: relative; 
    padding: 5px;
     /* Borde alrededor de las imágenes */
    box-sizing: border-box;
}

/* Estilos adicionales según tu preferencia para las imágenes */
.grid-item img {
    max-width: 100%; /* Ajusta el tamaño de las imágenes al ancho de su contenedor */
    height: auto; /* Mantiene la proporción de aspecto de las imágenes */
    transition: opacity 0.3s ease; /* Agrega una transición de opacidad de 0.3 segundos */
}

.grid-item:hover img {
    opacity: 0.8; /* Cambia la opacidad al pasar el mouse sobre la imagen */
}

@media screen and (max-width: 768px) {
    .grid-container {
        grid-template-columns: 1fr; /* Cambia a una sola columna en pantallas pequeñas */
    }
     }

@media (max-width: 991px) {
    
    .menu {
        padding: 20px;
       
    }

    .menu label {
        display: initial;
    }

    .menu .navbar {
        position: absolute;
        top: 100%;
        left: 0;
        right: 0;
        background-color: #1c1c1c;
        display: none;
        text-align: center;
       

    }

    .menu .navbar ul li {
        width: 100%;
    }

    #menu:checked~.navbar {
        display: initial;
    }


    header {
        height: 0vh;
        padding: 400px 0px;
        background-position: center center;
    }

    .header-conent {
        flex-direction: column;
        text-align: center;
        align-items: center;
        padding: 0px 30px;

    }

    .content {
        padding: 0;
    }

    .content h1 {
        margin-top: 100px;
        font-size: 45px;
    }

    .content p {
        margin-top: 0px;
    }

    .services {
        flex-direction: column;
        padding: 30px 30px 0px 30px;
        margin-top: 30px;
    }

    .service {
        margin-bottom: 50px;
    }

    .porfolios {
        padding: 0px 30px 30px 30px;
    }

    .porfolios h2 {
        margin-bottom: 15px;

    }

    .porfolio {
        flex-direction: column;
    }

    .porfolio img {}

    .porfolio-1 {
        text-align: center;
        margin: 0px 0px 25px 0px;
    }

    .porfolio-2 {
        text-align: center;
        margin: 0px 0px 25px 0px;
        order: 1;

    }
.barracuadrada{
        margin-left: 0px;
    }

    footer {
        padding: 30px 30px 0px 30px;
        
    }

    .info-content {
        flex-direction: column;
        text-align: center;
    }

    .info-price {
        margin: 0px 0px 20px 0px;
    }

    .info-txt {
        margin: 0px;
    }

    hr {
        margin: 25px 0px;
    }





}

@media (max-width: 991px) {

    /*contacto*/
    .form {
        width: 100%;
        display: flex;
        display: flex;
    flex-direction: column;
    text-align: center;
    justify-content: center;
    


    }

    .custom-block {
        border-radius: var(--border-radius-medium);
        position: relative;
        overflow: visible;


    }

    .custom-block-image2 {
        height: 150%;
        border-radius: 15px;
    }



    .form-group {
        grid-template-columns: repeat(1, 1fr);
        grid-gap: 10px;
        margin-bottom: 10px;
        width: 50px;
        

    }

    textarea {
        margin-bottom: 30px;
    }
}